summaryrefslogtreecommitdiffstats
path: root/extras/init.d/glusterfsd-Redhat
diff options
context:
space:
mode:
Diffstat (limited to 'extras/init.d/glusterfsd-Redhat')
-rwxr-xr-xextras/init.d/glusterfsd-Redhat51
1 files changed, 51 insertions, 0 deletions
diff --git a/extras/init.d/glusterfsd-Redhat b/extras/init.d/glusterfsd-Redhat
new file mode 100755
index 000000000..2577e9e76
--- /dev/null
+++ b/extras/init.d/glusterfsd-Redhat
@@ -0,0 +1,51 @@
+#!/bin/bash
+#
+# chkconfig: 35 90 12
+# description: Glusterfsd server
+#
+
+# Get function from functions library
+. /etc/rc.d/init.d/functions
+
+BASE=glusterfsd
+GSERVER="/usr/sbin/$BASE -f /etc/glusterfs/glusterfsd.vol"
+RETVAL=0
+
+# Start the service $BASE
+start()
+{
+ echo $"Starting $BASE:"
+ daemon $GSERVER
+ RETVAL=$?
+ [ $RETVAL -ne 0 ] && exit $RETVAL
+}
+
+# Stop the service $BASE
+stop()
+{
+ echo $"Stopping $BASE:"
+ killproc $BASE
+}
+
+
+### service arguments ###
+case $1 in
+ start)
+ start
+ ;;
+ stop)
+ stop
+ ;;
+ status)
+ status $BASE
+ ;;
+ restart)
+ $0 stop
+ $0 start
+ ;;
+ *)
+ echo $"Usage: $0 {start|stop|status|restart}."
+ exit 1
+esac
+
+exit 0